%define version 1.7.39
%define procfg_ver 1.7.37

summary: Intel(R) PROCfg server application for Linux
name: procfgd
version: %{version}
release: 1
source0: %{name}-%{version}.tar.gz
source1: libxerces-c1_6_0.tar.gz
vendor: Intel Corporation
license: Binary
exclusiveos: linux
group: System/Configuration/Networking
url: http://support.intel.com/support/go/linux/procfg.htm
BuildRoot: /var/tmp/%{name}-%{version}-root
# requiring libstdc++-libc6.1-1.so.2 is needed because libxerecs needs it. procfgd can use the default
# C++ library (libstdc++-libc6.2-2.so.3)
Requires: procfg >= %{procfg_ver} glibc >= 2.2.0 libcrypto.so.2 libstdc++-libc6.1-1.so.2 libstdc++-libc6.2-2.so.3 
provides: %{name} = %{version}-%{release}
AutoReqProv: no

%description
This package contains the Linux server daemon
PROCfg application suite.

%prep
%setup
%setup -D -T -a 1

%build

%install
# install the driver into the build root
/bin/mkdir -p $RPM_BUILD_ROOT/usr/sbin
/bin/mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
/bin/mkdir -p $RPM_BUILD_ROOT/usr/lib
/bin/mkdir -p /etc/procfgd
/bin/cp %{name} $RPM_BUILD_ROOT/usr/sbin
/bin/cp procfgd_adduser $RPM_BUILD_ROOT/usr/sbin/procfgd_adduser
/bin/cp %{name}.1.gz $RPM_BUILD_ROOT/%{_mandir}/man1
/bin/cp libxerces-c1_6_0.so $RPM_BUILD_ROOT/usr/lib
/bin/mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
/bin/cp procfgd_init $RPM_BUILD_ROOT/etc/rc.d/init.d/procfgd

%clean
/bin/rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
/usr/sbin/*
/usr/lib/*
/etc/rc.d/init.d/*
%{_mandir}/man1/*
%doc LICENSE.txt
%doc LICENSE.net-snmp.txt
%doc LICENSE.xerces.txt
%doc README
%doc ldistrib.txt

%post
/bin/rm -f %{_mandir}/man1/%{name}.1
for file in /etc/rc.d/rc?.d/[SK]*network ;  do
        act=`basename $file | sed 's/\([SK]\)[0-9][0-9]network/\1/'`
        i=`basename $file | sed 's/[SK]\([0-9][0-9]\)network/\1/'`
	# force base 10 arithmetics or we might get octal
        i="10#$i"
        if [ "$act" = "S" ]; then
            let i+=1
        else
            let i-=1
        fi
        if [ "$i" -lt 10 ]; then
            i="0$i"
        fi
	link=`dirname $file`
        link="$link/${act}${i}procfgd"
	/bin/ln -fs /etc/rc.d/init.d/procfgd $link
done
%postun
for file in /etc/rc.d/rc?.d/*procfgd ; do
	/bin/rm -f $file
done



